% function D1 = get_mobility_icra

kw= 2*pi/lam; C=ct*nlam/(sqrt(1+kw^2*B^2));
amob=1/(sqrt(1+kw^2*B^2));

A1=-C/lam; A2=3*pi^2*B^2; A3=A2+lam^2;
A4=kw^2*B^4 + 2/3*A2*nlam^2-1/4*B^2+2/3*lam^2*nlam^2;
A5=kw^2*B^4+2/3*A2*nlam^2-5/4*B^2+2/3*lam^2*nlam^2;

RL=A1*[2*A3 0 0; 0 2*A3 0; 0 0 8/3*A2+lam^2];
RC=A1*[lam*A2/(2*pi) nlam*lam*A3 0; -nlam*lam*A3 lam*A2/(6*pi) 0; 0 -lam^2*B -2*pi*lam*B^2];

RR=A1*lam^2*[A4 nlam*A2/6 0;...
    nlam*A2/6 A5 B/(pi*lam)*(2/3*A2+lam^2);...
    0 B/(pi*lam)*(2/3*A2+lam^2) 2*B/lam*(2/3*A2+lam^2)];

M=[RL RC; RC' RR];
D1=inv(M);


% end